﻿export class MailingAddress {
	constructor(
		public Type: string,
		public Location: string,
		public Address1: string,
		public Address2: string,
		public City: string,
		public State: string,
		public Zip: string,
		public ForeignAddress: string,
		public Country: string,
		public BeginDate: Date,
		public EndDate: Date,
		public RollDates: string
	) { }

	public FullAddress(): string {
		let fullAddress: string = '';

		if (this.Location === 'Domestic') {
			fullAddress = this.Address1 + ' ' + this.Address2 + ', ' + this.City + ' ' + this.State + ' ' + this.Zip;
		} else {
			fullAddress = this.Address1 + ' ' + this.Address2 + ', ' + this.ForeignAddress + ' ' + this.Country;
		}

		if (this.Type === 'Seasonal') {
			fullAddress += ' from ' + this.BeginDate.toDateString() + ' to ' + this.EndDate.toDateString();
		}

		return fullAddress;
	}
}
