import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'button-group-renderer',
	template: `
		<jha-button-group [(jhaValue)]="selectedInstitutionType" [jhaOptions]="InstitutionTypes" (jhaValueChange)="onValueChange($event)"></jha-button-group>
	`
})

export class ButtonGroupRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public selectedInstitutionType: string = '';
	public InstitutionTypes: any[] = [];

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.selectedInstitutionType = this.params.value;
		this.InstitutionTypes = this.params.optionValues;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.InstitutionType = event;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
