import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'button-renderer',
	template: `
		<jha-button (jhaClick)="onClick('Edit')" jhaText="Edit"></jha-button>
		<jha-button jhaButtonStyle="Primary" (jhaClick)="onClick('Save')" jhaText="Save"></jha-button>
	`
})

export class ButtonRendererComponent implements ICellRendererAngularComp {
	public params: any;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onClick(event: any): void {

		if (this.params.buttonClick instanceof Function) {
			this.params.value = event;
			this.params.buttonClick(this.params);
		}
	}
}
