import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'checkbox-renderer',
	template: `
		<p-checkbox name="checkBox" [(ngModel)]="value" (onChange)="onValueChange($event)" [binary]="true"></p-checkbox>
	`
})

export class CheckboxRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public value: boolean = false;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.value = this.params.value;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.AdminAccess = event.checked;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
