import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'delete-button-renderer',
	template: `
		<jha-grid-button (jhaClick)="onClick($event)" jhaIconType="Delete"></jha-grid-button>
	`
})

export class DeleteButtonRendererComponent implements ICellRendererAngularComp {
	public params: any;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onClick($event: any): void {
		if (this.params.onDeleteClick instanceof Function) {
			const params = {
				event: $event,
				rowData: this.params.node.data
			};
			this.params.onDeleteClick(this.params);
		}
	}
}
