import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'dropdown-renderer',
	template: `
		<p-dropdown [options]="optionValues" [(ngModel)]="value" (onChange)="onValueChange($event)" styleClass="form-control" appendTo="body" scrollHeight="500px"></p-dropdown>
	`
})

export class DropdownRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public value: string = '';
	public optionValues: any[] = [];

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.value = this.params.value;
		this.optionValues = this.params.optionValues;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.InstitutionSize = event.value;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
