import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'edit-delete-button-renderer',
	template: `
		<jha-grid-button (jhaClick)="onClick('edit', $event)" jhaIconType="Edit"></jha-grid-button>
		<jha-grid-button (jhaClick)="onClick('delete', $event)" jhaIconType="Delete"></jha-grid-button>
	`
})

export class EditDeleteButtonRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public isEditing: boolean = false;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onClick(type: string, $event: any): void {
		let clickType: any;
		if (type === 'edit') {
			clickType = this.params.onEditClick;
			this.isEditing = true;
		} else if (type === 'delete') {
			clickType = this.params.onDeleteClick;
			this.isEditing = false;
		}

		if (clickType instanceof Function) {
			const params = {
				event: $event,
				rowData: this.params.node.data
			};
			clickType(this.params);
		}
	}
}
