import { Component } from '@angular/core';
import { IHeaderAngularComp } from 'ag-grid-angular';
import { IHeaderParams } from 'ag-grid-community';

@Component({
	selector: 'header-add-button-renderer',
	template: `
		<jha-grid-button (jhaClick)="onClick($event)" jhaIconType="AddNew"></jha-grid-button>
	`
})

export class HeaderAddButtonRendererComponent implements IHeaderAngularComp {
	public params: any;
	public isEditing: boolean = false;

	public agInit(params: IHeaderParams): void {
		this.params = params;
	}

	public refresh(params?: any): boolean {
		return true;
	}

	public onClick($event: any): void {
		if (this.params.onAddClick instanceof Function) {
			const params = {
				event: $event
			};
			this.params.onAddClick(this.params);
		}
	}
}
