import { Component, ViewChild, ElementRef } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'input-renderer',
	template: `
		<input #input name="PartnerID" type="text" class="form-control" [ngClass]="inputAlignmentClass" [(ngModel)]="value" (ngModelChange)="onValueChange($event)" />
	`
})

export class InputRendererComponent implements ICellRendererAngularComp {
	@ViewChild('input', {read: ElementRef}) textInput: any;
	public params: any;
	public value: string = '';
	public inputAlignmentClass: string = 'jha-text-input-left';

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.value = this.params.value;
		if (this.params.inputAlignment && this.params.inputAlignment !== '') {
			this.inputAlignmentClass = 'jha-text-input-' + this.params.inputAlignment.toLowerCase();
		}
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public getValue(): string {
		return this.textInput.nativeElement.value;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.PartnerId = event;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
