import { Component } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'inputnumber-renderer',
	template: `
	<div class="input-group">
	<span class="input-group-addon">$</span>
	<p-inputNumber [(ngModel)]="value" inputId="field-monthlyIncome" inputStyleClass="form-control" (ngModelChange)="onValueChange($event)" mode="decimal" locale="en-US" [minFractionDigits]="2" [maxFractionDigits]="2" [step]="0.01"></p-inputNumber>
</div>
	`
})

export class InputNumberRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public value: string = '';

	public agInit(params): void {
		this.params = params;
		this.value = this.params.value;
	}

	public refresh(params?: any): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		console.log(event);
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.PartnerId = event;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
