import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'matselect-renderer',
	template: `
		<mat-form-field>
			<mat-label>Select Notifications</mat-label>
			<mat-select multiple disableRipple disableOptionCentering [(value)]="this.values" (selectionChange)="onValueChange($event.value)">
				<mat-optgroup *ngFor="let group of optionValues" [label]="group.name" [disabled]="group.disabled">
					<mat-option *ngFor="let alert of group.alert" [value]="alert.category" [disabled]="alert.disabled">{{alert.description}}</mat-option>
				</mat-optgroup>
			</mat-select>
		</mat-form-field>
	`
})

export class MatselectRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public values: any[] = [];
	public optionValues: any[] = [];

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.values = this.params.value;
		this.optionValues = this.params.optionValues;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.AlertGroups = event;
			this.params.valueChange(this.params);
		}
	}
}
