import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'multiselect-renderer',
	template: `
		<p-multiSelect defaultLabel="Select Account Types"  [options]="optionValues" [(ngModel)]="values" appendTo="body" (onChange)="onValueChange($event)"></p-multiSelect>
	`
})

export class MultiselectRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public values: any[] = [];
	public optionValues: any[] = [];

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.values = this.params.value;
		this.optionValues = this.params.optionValues;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.AccountTypes = event.value;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
