import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'save-cancel-button-renderer',
	template: `
		<jha-grid-button (jhaClick)="onClick('save', $event)" jhaIconType="Checkmark"></jha-grid-button>
		<jha-grid-button (jhaClick)="onClick('cancel', $event)" jhaIconType="Close"></jha-grid-button>
	`
})

export class SaveCancelButtonRendererComponent implements ICellRendererAngularComp {
	public params: any;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onClick(type: string, $event: any): void {
		if (type === 'save') {
			if (this.params.onSaveClick instanceof Function) {
				const params = {
					event: $event,
					rowData: this.params.node.data
				};
				this.params.onSaveClick(this.params);
			}
		} else if (type === 'cancel') {
			if (this.params.onCancelClick instanceof Function) {
				this.params.onCancelClick(this.params);
			}
		}

	}
}
