import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'select-renderer',
	template: `
		<select name="select" class="form-control" [(ngModel)]="value" (ngModelChange)="onValueChange($event)">
			<option *ngFor="let option of optionValues" value="{{option.value}}">
				{{option.name}}</option>
		</select>
	`
})

export class SelectRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public value: string = '';
	public optionValues: any[];

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.value = this.params.value;
		this.optionValues = this.params.optionValues;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.State = event;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
