import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';

@Component({
	selector: 'toggle-renderer',
	template: `
		<jha-toggle [(jhaToggleVal)]="value" name="toggle" (jhaToggleValChange)="onValueChange($event)"></jha-toggle>
	`
})

export class ToggleRendererComponent implements ICellRendererAngularComp {
	public params: any;
	public value: boolean = false;

	public agInit(params: ICellRendererParams): void {
		this.params = params;
		this.value = this.params.value;
	}

	public refresh(params?: ICellRendererParams): boolean {
		return true;
	}

	public onValueChange(event: any): void {
		if (this.params.valueChange instanceof Function) {
			this.params.node.data.IsActive = event;
			this.params.value = event;
			this.params.valueChange(this.params);
		}
	}
}
