import { Component, HostListener, OnInit } from '@angular/core';
import { ruiThemeList } from '@jha/rui-wc/js/rui-theming';

@Component({
	selector: 'main-nav',
	templateUrl: './main-nav.component.html',
	styleUrls: ['./main-nav.component.scss']
})
export class MainNavComponent implements OnInit {
	public displayState = 'expanded';
	public themeList: any[] = ruiThemeList;
	public showapearancePopupNotification: boolean = false;
	public stateList: string[] = [ 'Alabama', 'Alaska', 'Arizona', 'Arkansas', 'California', 'Colorado', 'Connecticut', 'Delaware', 'Florida', 'Georgia', 'Hawaii', 'Idaho', 'Illinois', 'Indiana', 'Iowa', 'Kansas', 'Kentucky', 'Louisiana', 'Maine', 'Maryland', 'Massachusetts', 'Michigan', 'Minnesota', 'Mississippi', 'Missouri', 'Montana', 'Nebraska', 'Nevada', 'New Hampshire', 'New Jersey', 'New Mexico', 'New York', 'North Carolina', 'North Dakota', 'Ohio', 'Oklahoma', 'Oregon', 'Pennsylvania', 'Rhode Island', 'South Carolina', 'South Dakota', 'Tennessee', 'Texas', 'Utah', 'Vermont', 'Virginia', 'Washington', 'West Virginia', 'Wisconsin', 'Wyoming' ];
	public userList: any[] =
	[
		{ name: 'Dorothy Bridges', street: '27 Ketch Harbour St.', cityStateZip: 'Stow, OH 44224'},
		{ name: 'Jerome Lee', street: '205 Bradford Ave.', cityStateZip: 'Attleboro, MA 02703'},
		{ name: 'Angel Ramos', street: '7859 W. Durham Lane', cityStateZip: 'Ballston Spa, NY 12020'}
	];

    public ngOnInit() {
        // Retrieve the previous display state
        if (typeof (Storage) !== "undefined") {
            let previousDisplayState = localStorage.getItem("rui-nav-display-state");
            if (previousDisplayState) {
                this.displayState = previousDisplayState;
            }
        }
    }

    @HostListener('window:rui-nav-display-state', ['$event'])
    private displayStateChanged(e) {
        // Get the updated display state from the event detail
        const updatedDisplayState = e.detail;

        // Remember the display state for next time
        if (typeof (Storage) !== "undefined" && updatedDisplayState) {
            localStorage.setItem("rui-nav-display-state", updatedDisplayState);
        }
    }

	public changeTheme(loadName: string): void {
        // Fire custom event with theme name
        let themeChangeEvent = new CustomEvent('rui-load-theme', { detail: loadName, bubbles: true, composed: true });
        document.dispatchEvent(themeChangeEvent);
	}

}
