import { Component, OnInit, ElementRef } from '@angular/core';
import { ruiAnimateElements } from '@jha/rui-wc/js/rui-animation';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'animation',
	templateUrl: './animation.component.html',
	styleUrls: ['./animation.component.scss']
})
export class AnimationComponent implements OnInit {
    public listItems = [
        { iconType: 'check', name: 'Primary Checking', subheader: 'John Smith', balance: 1248.19 },
        { iconType: 'savings', name: 'Basic Savings', subheader: 'John Smith', balance: 3144.72 },
        { iconType: 'time-deposit', name: '24 Month CD', subheader: 'John Smith', balance: 2500.0 },
        { iconType: 'auto', name: 'Auto Loan', subheader: 'John Smith', balance: 18219.23 },
        { iconType: 'home', name: 'Home Mortgage', subheader: 'John Smith', balance: 472936.50 },
        { iconType: 'check', name: 'Family Checking', subheader: 'Timmy Smith', balance: 422.16 },
        { iconType: 'check', name: 'Family Checking', subheader: 'Brenda Smith', balance: 723.88 }
    ];

    constructor(private elRef:ElementRef) { }

	ngOnInit(): void {
        ruiAnimateElements(this.elRef.nativeElement, 'account', this.listItems.length);
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
