import { Component } from '@angular/core';

@Component({
	selector: 'busy-indicator',
	templateUrl: './busy-indicator.component.html',
	styleUrls: ['./busy-indicator.component.scss']
})
export class BusyIndicatorComponent {
	public loadingFunctionView: boolean = false;
	public loadingDisplayBlock: boolean = false;
	public loadingGroupBox: boolean = false;
	public loadingTile: boolean = false;

	startFunctionViewBusyIndicator(): void {
		this.loadingFunctionView = true;

		window.setTimeout(() => {
			this.loadingFunctionView = false;
		}, 5000);
	}

	startDisplayBlockBusyIndicator(): void {
		this.loadingDisplayBlock = true;

		window.setTimeout(() => {
			this.loadingDisplayBlock = false;
		}, 5000);
	}

	startGroupBoxBusyIndicator(): void {
		this.loadingGroupBox = true;

		window.setTimeout(() => {
			this.loadingGroupBox = false;
		}, 5000);
	}

	startTileBusyIndicator(): void {
		this.loadingTile = true;

		window.setTimeout(() => {
			this.loadingTile = false;
		}, 5000);
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
