import { Component } from '@angular/core';

@Component({
	selector: 'buttons',
	templateUrl: './buttons.component.html',
	styleUrls: ['./buttons.component.scss']
})
export class ButtonsComponent {
    public isBold = false;
    public isItalic = false;
    public isUnderline = false;
    public toggleExampleStyles = '';
    public favoriteFlavor = 'chocolate';
    public shippingMethod = 'flatrate';
    public selectedAccount = '010';
    public selectedToppings = [ 'Pepperoni', 'BlackOlives' ];
    public accounts = [
        { name: 'Betty Adams', number: 141, description: 'Basic Checking Account', closed: false },
        { name: 'Jones & Jones, CPA', number: 7322457, description: 'NOW Account', closed: false },
        { name: 'Danny White', number: 49343, description: 'Savings Account', closed: false },
        { name: 'Betty Adams', number: 141, description: 'Basic Checking Account', closed: true },
        { name: 'Jones & Jones, CPA', number: 7322457, description: 'NOW Account', closed: true },
        { name: 'Danny White', number: 49343, description: 'Savings Account', closed: true }
    ];
    public toggle1Value = true;
    public toggle2Value = false;
    public toggle3Value = true;
    public toggle4Value = false;

    public buttonClick() {
        console.log('Button clicked')
    }

    public boldChanged(e) {
        this.isBold = e.detail;
        this.updateToggleExampleStyles();
    }
    
    public italicChanged(e) {
        this.isItalic = e.detail;
        this.updateToggleExampleStyles();
    }
    
    public underlineChanged(e) {
        this.isUnderline = e.detail;
        this.updateToggleExampleStyles();
    }

    private updateToggleExampleStyles() {
        let styles = '';
        if (this.isBold) {
            styles += 'font-weight:bold;';
        }
        if (this.isItalic) {
            styles += 'font-style:italic;';
        }
        if (this.isUnderline) {
            styles += 'text-decoration:underline;';
        }
        this.toggleExampleStyles = styles;
    }

    public goGoogle() {
        window.open('https://www.google.com', '_blank');
    }

    public goJha() {
        window.open('https://www.jackhenry.com', '_blank');
    }

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
