import { Component } from '@angular/core';
import { UntypedFormGroup, UntypedFormControl, Validators } from '@angular/forms';

@Component({
	selector: 'dialog-boxes',
	templateUrl: './dialog-boxes.component.html',
	styleUrls: ['./dialog-boxes.component.scss']
})
export class DialogBoxComponent {
    public showDialogBox = false;
    public showDialogBoxWithCanClose = false;
    public showQuestion = false;
    public showQuestionWithDestructive = false;
    public canClose = true;
	public firstNameVal: string = '';
	public lastNameVal: string = '';

	public addUserForm: UntypedFormGroup = new UntypedFormGroup({
		'firstName': new UntypedFormControl(this.firstNameVal, Validators.required),
		'lastName': new UntypedFormControl(this.lastNameVal, Validators.required)
	});

	get firstName(): any { return this.addUserForm.get('firstName'); }
	get lastName(): any { return this.addUserForm.get('lastName'); }

    public triggerDialogBoxWithCanCloseShown() {
        this.canClose = true;
        this.showDialogBoxWithCanClose = true;
    }

    public canCloseChanged(e) {
        this.canClose = e.target.checked;
    }

    public questionClose(e) {
        console.log(`Question closed with result of '${e.detail}'`);
    }

    public dialogBoxClose(e) {
        console.log(`Dialog box closed with result of '${e.detail}'`);
    }

    public dialogBeforeClose() {
        console.log('Dialog box before close')

        // Allow dialog to close after 3 seconds as an example
        setTimeout(() => { this.canClose = true }, 3000)
    }

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
