import { Component, AfterViewInit } from '@angular/core';
import Sortable from 'sortablejs';

@Component({
    selector: 'drag-and-drop',
    templateUrl: './drag-and-drop.component.html',
    styleUrls: ['./drag-and-drop.component.scss']
})
export class DragAndDropComponent implements AfterViewInit {
    public dragListStyle: string = 'stacked';
    public dragItemList1 = [
        { name: 'Apple', id: 'A' },
        { name: 'Banana', id: 'B' },
        { name: 'Cherry', id: 'C' },
    ];
    public dragItemList2 = [
        { name: 'Mango', id: 'M' },
        { name: 'Nectarine', id: 'N' },
        { name: 'Orange', id: 'O' },
        { name: 'Peach', id: 'P' },
        { name: 'Strawberry', id: 'S' }
    ];

    ngAfterViewInit(): void {
        // tslint:disable-next-line:no-unused-expression
        new Sortable(document.getElementById('drag-items-1'),
            {
                group: 'drag-item-sample',
                sort: true,
                pull: true,
                put: true,
                delay: 0,
                animation: 150,
                chosenClass: 'jha-drag-item-chosen',
                scroll: true,
                dataIdAttr: 'id'
            });
        // tslint:disable-next-line:no-unused-expression
        new Sortable(document.getElementById('drag-items-2'),
            {
                group: 'drag-item-sample',
                sort: true,
                pull: true,
                put: true,
                delay: 0,
                animation: 150,
                chosenClass: 'jha-drag-item-chosen',
                scroll: true,
                dataIdAttr: 'id'
            });
    }

    public openPattern(url: string): void {
        const win = window.open(url, '_blank');
        win.focus();
    }
}
