import { UntypedFormGroup, ValidatorFn, ValidationErrors } from '@angular/forms';

export const CountryAddressTypeValidator: ValidatorFn = (group: UntypedFormGroup): ValidationErrors | null => {
	const country = group.get('country').value;
	const addressType = group.get('addressType').value;

	if ((country === 'USA' && addressType === 'International') || (country !== 'USA' && addressType === 'Domestic')) {
		return  { 'countryAddressTypeMismatch': true };
	}

	return null;
};
