import { Component, ViewEncapsulation} from '@angular/core';
import { Router } from '@angular/router';
import { LogInOutService } from '../../../services/log-in-out/log-in-out.service';

@Component({
	selector: 'log-in',
	templateUrl: './log-in.component.html',
	styleUrls: ['./log-in.component.scss'],
	encapsulation: ViewEncapsulation.None
})
export class LogInComponent {
    public showPassword = false;
    public customerName = '';
    public copyrightNotice = 'Copyright © Jack Henry & Associates, Inc.';
    public invalidLogin = false;
    public userId = '';
    public password = '';
    public loggingIn = false;

	constructor(private logInOutService: LogInOutService, private router: Router) {}

	public toggleShowPassword(): void {
		this.showPassword = !this.showPassword;
	}

	public logIn(): void {
		this.loggingIn = true;
		this.logInOutService.LogIn(this.userId, this.password).then(result => this.processLogin(result));
	}

	private processLogin(loginResult: boolean): void {
		this.invalidLogin = !loginResult;

		if (this.invalidLogin) {
			this.loggingIn = false;
		} else {
			this.router.navigate(['Home']);
		}
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
