import { Component, OnInit } from '@angular/core';

@Component({
	selector: 'process-timeline',
	templateUrl: './process-timeline.component.html',
	styleUrls: ['./process-timeline.component.scss']
})
export class ProcessTimelineComponent implements OnInit {
	public processTimelineWireSteps = [];

	public ngOnInit(): void {
        this.processTimelineWireSteps = [
            {
                name: 'New',
                status: 'complete',
                subSteps: [
                    { text: 'Ready' }
                ],
                isClickable: true
            },
            {
                name: 'OFAC',
                status: 'complete',
                subSteps: [
                    { text: 'OFAC Pending' },
                    { text: 'OFAC Failed', isClickable: true, tooltip: 'The OFAC check failed due to incomplete data' },
                    { text: 'OFAC Passed' }
                ],
                tooltip: 'The OFAC Review step is probably the most complex step in the process'
            },
            {
                name: 'Dual-Control Approval',
                status: 'complete',
                subSteps: [
                    { text: 'Required' }
                ],
                isClickable: true
            },
            {
                name: 'Verified',
                status: 'warning',
                subSteps: [
                    { text: 'Verified' }
                ]
            },
            {
                name: 'Initiated',
                status: 'error',
                subSteps: [
                    { text: 'Initiated' }
                ]
            },
            {
                name: 'Process',
                status: 'incomplete'
            }
        ];
	}

	public stepClicked(e): void {
		console.log(e.detail);
	}

    public openPattern(url: string): void {
        const win = window.open(url, '_blank');
        win.focus();
    }
}
