import { Component, OnInit } from '@angular/core';

@Component({
	selector: 'status-icon',
	templateUrl: './status-icon.component.html',
	styleUrls: ['./status-icon.component.scss']
})
export class StatusIconComponent implements OnInit {
	public applicationList = [];
	public sortColumn: string;
	public sortDirection: number = 1;

	constructor() { }

	ngOnInit(): void {
		// DUMMY DATA
        this.applicationList = [
            { account: '0000009283: SMITH,MARY', appDate: new Date('10/2/2021'), loanType: 'New Auto', loanAmount: 25000, status: 'Approved', comments: '' },
            { account: '0000109230: JONES,MARK', appDate: new Date('10/22/2021'), loanType: 'Line of Credit', loanAmount: 8000, status: 'Denied', comments: 'No credit history' },
            { account: '0000005928: JOHNSON,HARRIET', appDate: new Date('10/28/2021'), loanType: 'Used Auto', loanAmount: 6500, status: 'Countered', comments: 'Countered with loan amount of $5000' },
            { account: '0000009782: PHILLIPS,GARY', appDate: new Date('11/2/2021'), loanType: 'New Auto', loanAmount: 17500, status: 'Approved', comments: '' },
            { account: '0000009782: COSTANZA,GEORGE', appDate: new Date('11/2/2021'), loanType: 'HELOC', loanAmount: 32000, status: 'In Progress', comments: '' },
            { account: '0000974854: KRAMER, JERRY', appDate: new Date('11/24/2021'), loanType: 'HELOC', loanAmount: 50000, status: 'Validate Value', comments: 'Unable to validate home value' },
            { account: '0000010188: PRYOR, EDDIE', appDate: new Date('12/52/2021'), loanType: 'Used Auto', loanAmount: 19000, status: 'Awaiting Docs', comments: 'Awaiting documentation' }
        ];

        this.sortData('appDate');
	}

	// Sort the transaction history
	sortData(sortColumn) {
		// Reverse the sort direction
		this.sortDirection *= -1;
		const sortDirection = this.sortDirection;

		// Remember the sort column
		this.sortColumn = sortColumn;

		this.applicationList.sort((itemA, itemB) => {
			// Compare ascendening
			let sortResult = 0;
			if (itemA[sortColumn] < itemB[sortColumn]) {
				sortResult = -1;
			} else if (itemA[sortColumn] > itemB[sortColumn]) {
				sortResult = 1;
			}

			// Adjust for sort direction
			sortResult *= sortDirection;

			return sortResult;
		});
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
