import { Component } from '@angular/core';

@Component({
	selector: 'tags',
	templateUrl: './tags.component.html',
	styleUrls: ['./tags.component.scss']
})
export class TagsComponent {
    public metaDataNonClickableTags = [ 'javascript', 'angular', 'typescript', 'html5-canvas' ];
    public metaDataClickableTags = [ 'javascript', 'angular', 'typescript', 'html5-canvas' ];
    public searchFilterTags = [ 'Name starts with F', 'Location is Springfield', 'Department is Marketing' ];
    public searchFilterClearAllTags = [ 'Name starts with F', 'Location is Springfield', 'Department is Marketing' ];

    public tagClicked(e) {
        console.log('\'' + e.detail + '\' tag clicked');
    }

    public removeSearchFilterTag(e) {
        this.searchFilterTags = this.searchFilterTags.filter((tag) => tag !== e.detail);
        console.log('\'' + e.detail + '\' tag removed');
    }

    public removeSearchFilterClearAllTag(e) {
        this.searchFilterClearAllTags = this.searchFilterClearAllTags.filter((tag) => tag !== e.detail);
        console.log('\'' + e.detail + '\' tag removed');
    }

    public clearAllSearchFilterTags(e) {
        this.searchFilterClearAllTags = [];
        console.log('All tags removed');
    }

    public resetSearchFilterTags() {
        this.searchFilterTags = [ 'Name starts with F', 'Location is Springfield', 'Department is Marketing' ];
    }

    public resetSearchFilterClearAllTags() {
        this.searchFilterClearAllTags = [ 'Name starts with F', 'Location is Springfield', 'Department is Marketing' ];
    }

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
