import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LazyLoadComponent } from './components/lazy-load/lazy-load.component';

import { JhaButtonsModule } from '@jha/rui-angular/jha-buttons';
import { JhaLayoutModule } from '@jha/rui-angular/jha-layout';
import { JhaNotificationsModule } from '@jha/rui-angular/jha-notifications';

// RUI Web Componets
import '@jha/rui-wc/components/rui-buttons/rui-buttons-imports';
import '@jha/rui-wc/components/rui-layout/rui-layout-imports';

import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
	{ path: '**', component: LazyLoadComponent }
];

@NgModule({
	declarations: [
		LazyLoadComponent
	],
	imports: [
		CommonModule,
		RouterModule.forChild(routes),
		JhaButtonsModule,
		JhaLayoutModule,
		JhaNotificationsModule
	],
	schemas: [
		CUSTOM_ELEMENTS_SCHEMA
	]
})
export class LazyLoadModule { }
