import { Injectable } from '@angular/core';
import { Observable, Observer } from 'rxjs';


@Injectable()
export class JhaUnsavedChangesService {
	public result: string = '';

	public unsavedChangesDialogLoader(callback: any, changesSavable?: boolean): void {
            // Fire custom event to display unsaved changes. This will be received by
        // the rui-unsaved-changes-dialog-box embedded in the jha-app component.
        let promptUnsavedChangesEvent = new CustomEvent('rui-unsaved-changes-prompt', {
            detail: {
                callback: callback,
                changesSavable: typeof changesSavable === "undefined" ? true: changesSavable
            },
            bubbles: true,
            composed: true
        });
        dispatchEvent(promptUnsavedChangesEvent);
	}

	public promptUnsavedChangesDialog(changesSavable?: boolean): Observable<string> {
		return new Observable((observer: Observer<string>) => {
			this.unsavedChangesDialogLoader((dialogResult: string) => {
				if (dialogResult === 'Don\'t Save') {
					this.result = 'DontSave';
				} else if (dialogResult === 'Continue Editing') {
					this.result = 'ContinueEditing';
				} else {
					this.result = dialogResult;
				}
				observer.next(this.result);
				observer.complete();
			}, changesSavable);
		});
	}
}
