﻿import { Injectable } from '@angular/core';

import { CustomerSearchResult } from '../../classes/customer-search-result';
import { CustomerSearchResults } from '../../classes/customer-search-results';

@Injectable()
export class CustomerSearchService {
	public getSearchResults(searchString: string): Promise<CustomerSearchResults> {
		// Dummy up search results info here
		const searchResultsInfo = new CustomerSearchResults(true,
			[
				new CustomerSearchResult('1', 'Smith Motors', '537 Rangeline Road', 'Joplin, MO 65874', '11-1111111', '111-222-3333'),
				new CustomerSearchResult('2', 'Smith Jones', '38758 Blueridge', 'Monett, MO 65708', '897-81-1125', ''),
				new CustomerSearchResult('3', 'Kresman, Gardner, and Smith', '89 Bennett Circle', 'Springfield, MO 65701', '74-1963555', ''),
				new CustomerSearchResult('4', 'JOHN SMITH', '123 MAIN STREET', 'SPRINGFIELD, MO 65807-1234', '123-12-3123', ''),
				new CustomerSearchResult('5', 'Thomas J Smith', '806 Plum', 'San Antonio, TX 75024', '456-88-7918', ''),
				new CustomerSearchResult('6', 'Carrie Sue Smith', '613 E Hillcrest', 'Monett, MO 65708', '866-71-1709', ''),
				new CustomerSearchResult('7', 'Emmitt Smith', '#22 Turtle Creek Boulevard', 'Dallas, TX 75211-1000', '451-22-2392', ''),
				new CustomerSearchResult('8', 'Kurt R Smith', '663 West Highway 60', 'Monett, MO 65708', '342-52-5505', ''),
				new CustomerSearchResult('9', 'Kurt R Smith', '123 Anystreet', '00000', '555-55-5555', ''),
				new CustomerSearchResult('10', 'Marla D Smith', '1002 Century Lane', '00000', '01-6185652', ''),
				new CustomerSearchResult('11', 'Alice Lou Smith', '5221 1/2 E Main Street', 'Forest Lawn, CA 98548', '000-00-0000', '')
			]
		);

		return new Promise((resolve) => {
			setTimeout(() => resolve(searchResultsInfo), 1000);
		});
	}
}
