﻿import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

import { UserSearchResult } from '../../components/responsive-patterns/grid/user-search-result';
import { UserSearchResults } from '../../components/responsive-patterns/grid/user-search-results';

@Injectable()
export class UserSearchService {

	// Get list of all customers
	public GetAllUsers(): Observable<UserSearchResult[]> {
		// Example logic for connecting to live services
		//return this.http.get(this.server + '/api/summit/getallcustomers')
		//    .map((response: Response) => response.json());

		// Dummy logic to keep sample app self-contained
		const userList: Array<UserSearchResult> = [];

		userList.push(new UserSearchResult('Calista Valencia', '1-469-566-5631', 'pharetra.ut@pedeNuncsed.co.uk', 'Ap #640-2690 Odio. Road', 'Lowestoft', 'SF', 'Mauritius', '1344', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Thor Knight', '1-250-948-1493', 'dui@hendreritid.edu', 'P.O. Box 248 8323 Odio St.', 'Nässjö', 'Jönköpings län', 'Venezuela', 'VQ68 9PC', 'Sapien LLC'));
		userList.push(new UserSearchResult('Delilah Wagner', '1-950-215-5720', 'Nullam.suscipit.est@sodalesMaurisblandit.net', '2890 Et St.', 'Gboko', 'Benue', 'Taiwan', '6603', 'Nullam Limited'));
		userList.push(new UserSearchResult('Imogene Frederick', '1-101-501-2521', 'aliquam@molestie.ca', '5356 Lorem. Avenue', 'Philadelphia', 'Pennsylvania', 'Honduras', '02254', 'Magna Corporation'));
		userList.push(new UserSearchResult('Fitzgerald Riddle', '1-860-640-5382', 'in.molestie.tortor@purus.com', '792-7680 Mus. Ave', 'Quesada', 'A', 'Sri Lanka', '67584', 'Tellus Corporation'));

		userList.push(new UserSearchResult('Indira Pittman', '1-778-680-6691', 'mi@a.ca', '793-1056 Diam Avenue', 'Kumluca', 'Antalya', 'Albania', '91673', 'Nullam Limited'));
		userList.push(new UserSearchResult('Myra Tillman', '1-109-475-8137', 'at@eulacusQuisque.co.uk', '8663 Fermentum Avenue', 'Mata de Plátano', 'SJ', 'Saint Pierre and Miquelon', '7633', 'Magna Corporation'));
		userList.push(new UserSearchResult('Kasimir Blevins', '1-315-426-7582', 'tellus@ametdapibus.co.uk', '911-6356 Sed Av.', 'Sant Egidio del Monte Albino', 'CAM', 'Sweden', '30711', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Yvonne William', '1-988-841-1918', 'ac.eleifend.vitae@dui.co.uk', '843-1501 Dolor. Street', 'Alingsås', 'O', 'Haiti', '90247-690', 'Sapien LLC'));
		userList.push(new UserSearchResult('Ronan Anderson', '1-700-243-3839', 'vel.turpis@Nam.edu', '4032 Montes Rd.', 'Traralgon', 'VIC', 'Anguilla', '55239-639', 'Nullam Limited'));

		userList.push(new UserSearchResult('Carlos Gallegos', '1-361-206-8413', 'Sed.nec.metus@at.net', '4109 Lacinia Rd.', 'Burnie', 'TAS', 'Portugal', '60913', 'Sapien LLC'));
		userList.push(new UserSearchResult('Connor Bruce', '1-870-846-2834', 'Proin.non.massa@placerateget.net', '607-6158 Non St.', 'Burlington', 'VT', 'Yemen', '90956', 'Sapien LLC'));
		userList.push(new UserSearchResult('Whilemina Goodman', '1-741-981-2327', 'libero@facilisi.edu', 'P.O. Box 815 3854 Bibendum Avenue', 'Kirkintilloch', 'DN', 'Jordan', '98676', 'Nullam Limited'));
		userList.push(new UserSearchResult('Hakeem Blair', '1-540-672-7632', 'volutpat.Nulla.dignissim@luctussit.org', 'P.O. Box 885 8943 Mi Av.', 'Te Awamutu', 'NI', 'Bulgaria', 'YJ2 3VO', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Akeem Parrish', '1-238-586-6343', 'fringilla@Mauris.edu', '100-7520 Sagittis. St.', 'Langley', 'BC', 'El Salvador', '979666', 'Sapien LLC'));

		userList.push(new UserSearchResult('Blake Anderson', '1-311-232-3799', 'nunc@molestiedapibusligula.com', '2405 Eu Rd.', 'Belfast', 'U', 'Greece', '3652', 'Magna Corporation'));
		userList.push(new UserSearchResult('Jakeem Kaufman', '1-855-743-7109', 'dolor.sit.amet@Nuncquisarcu.org', 'P.O. Box 239 2415 Massa. Avenue', 'Cañas', 'G', 'Macao', '1004', 'Sapien LLC'));
		userList.push(new UserSearchResult('Angela Petty', '1-123-860-6706', 'Phasellus.dolor@dis.edu', '894-447 Etiam St.', 'Alajuela', 'A', 'Lebanon', '9373', 'Nullam Limited'));
		userList.push(new UserSearchResult('Rachel Maldonado', '1-730-733-7491', 'nisl@Vivamusnibh.ca', 'P.O. Box 527 4293 Duis St.', 'Cambiago', 'LOM', 'Saint Helena Ascension and Tristan da Cunha', '4337', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Melvin Forbes', '1-146-742-2896', 'tellus.Suspendisse@sitamet.ca', '3172 Vehicula Avenue', 'Gillette', 'WY', 'Brunei', '0798', 'Sapien LLC'));

		userList.push(new UserSearchResult('Caldwell Aguilar', '1-570-574-2697', 'tincidunt@Aliquamtincidunt.net', '411-9877 Mauris Avenue', 'Warrnambool', 'VIC', 'Niue', '590527', 'Magna Corporation'));
		userList.push(new UserSearchResult('Susan Hyde', '1-779-579-1084', 'amet.ante@Pellentesqueut.net', 'P.O. Box 551 5114 Scelerisque Rd.', 'Le Mans', 'PA', 'Brunei', '60304', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Ella Daniels', '1-811-142-3109', 'egestas@et.org', '746-7803 Auctor Road', 'Katowice', 'Sląskie', 'Syria', '20201', 'Nullam Limited'));
		userList.push(new UserSearchResult('Josephine Sloan', '1-793-322-7777', 'non.vestibulum.nec@nascetur.org', '203-2917 Arcu Ave', 'Zielona Góra', 'LB', 'State of Palestine', '3012', 'Sodales Industries'));
		userList.push(new UserSearchResult('Hilel Gillespie', '1-508-784-4140', 'est.arcu.ac@tinciduntaliquamarcu.org', '269 Ipsum St.', 'Abbeville', 'Picardie', 'Curaçao', '7067', 'Sapien LLC'));

		userList.push(new UserSearchResult('Barbara Chandler', '1-593-615-4968', 'libero.Donec.consectetuer@egetlaoreetposuere.net', 'P.O. Box 604 3736 Libero. Rd.', 'San Joaquín', 'RM', 'Hungary', '23-873', 'Sodales Industries'));
		userList.push(new UserSearchResult('Zeph Rojas', '1-381-723-7403', 'Donec.nibh@tristiquenequevenenatis.edu', '152 Eu Rd.', 'Jodoigne', 'Waals-Brabant', 'Guyana', '52378', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Lilah Avery', '1-562-465-6535', 'consequat.enim.diam@accumsan.ca', 'Ap #903-6581 Augue Road', 'Vienna', 'Vienna', 'Ethiopia', '8298', 'Magna Corporation'));
		userList.push(new UserSearchResult('Todd Sawyer', '1-103-803-3628', 'Suspendisse.tristique@lobortis.co.uk', '711-351 Arcu St.', 'Ruthin', 'Denbighshire', 'Cape Verde', '737812', 'Sodales Industries'));
		userList.push(new UserSearchResult('Wesley Gutierrez', '1-230-458-1640', 'at@rutrum.ca', 'Ap #898-2189 Cum Avenue', 'Łódź', 'LD', 'Liechtenstein', '7252XY', 'Sapien LLC'));

		userList.push(new UserSearchResult('Hayfa French', '1-765-816-9338', 'non.hendrerit.id@at.c', '251 Vel St.', 'Córdoba', 'AN', 'Nauru', '37159', 'Sodales Industries'));
		userList.push(new UserSearchResult('Chastity Logan', '1-497-952-1345', 'egestas.Aliquam.nec@Integerid.com', '356-9685 Posuere Road', 'Tire', 'İzmir', 'Romania', '7165', 'Magna Corporation'));
		userList.push(new UserSearchResult('Phelan Ree', '1-843-956-1820', 'lacus@Morbi.net', 'Ap #324-8770 Ante Av.', 'Bida', 'Niger', 'Maldives', '9549YY', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Rajah Nieves', '1-764-494-7123', 'Donec.consectetuer.mauris@mus.org', '328-3781 Cursus St.', 'Schoonaarde', 'Oost-Vlaanderen', 'Saint Martin', '93743', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Silas Moss', '1-173-744-1452', 'Nunc.sollicitudin.commodo@anteiaculisnec.co.uk', '720-4828 Sem Road', 'Dublin', 'Leinster', 'Faroe Islands', '8911', 'Sapien LLC'));

		userList.push(new UserSearchResult('Jelani Gill', '1-796-606-6362', 'elit.pede@egetmollislectus.net', '5252 Nec Street', 'Dublin', 'L', 'Bonaire Sint Eustatius and Saba', '4387', 'Sodales Industries'));
		userList.push(new UserSearchResult('Quentin Navarro', '1-513-941-5081', 'Integer@ornare.ca', 'P.O. Box 316 5109 Dui. Street', 'Borås', 'O', 'The Democratic Republic of the Congo', '79751', 'Magna Corporation'));
		userList.push(new UserSearchResult('Kasper Coleman', '1-735-133-7331', 'Proin@Donecegestas.net', '6269 Aliquet St.', 'Sarreguemines', 'LO', 'Brunei', '42-295', 'Sodales Industries'));
		userList.push(new UserSearchResult('Sydney Hendrix', '1-793-917-3733', 'consequat@DonecegestasAliquam.edu', 'P.O. Box 948 5503 Purus. St.', 'Berlin', 'Berlin', 'Malawi', '250675', 'Donec Corp'));
		userList.push(new UserSearchResult('Olivia Dean', '1-753-660-9686', 'turpis@pede.ca', 'P.O. Box 169 9606 Lectus. Ave', 'Sapele', 'DE', 'Jersey', '6410', 'Donec Corp'));
		userList.push(new UserSearchResult('Xantha Sargent', '1-848-833-3709', 'lobortis.nisi.nibh@velitdui.net', 'Ap #990-6123 Eget Ave', 'Avelgem', 'West-Vlaanderen', 'Saint Martin', 'OF3 9DW', 'Sapien LLC'));

		userList.push(new UserSearchResult('Brenden Rich', '1-328-554-9073', 'tincidunt.nibh.Phasellus@anteiaculisnec.com', '419-4174 Pharetra Av.', 'Kalyan', 'MH', 'New Caledonia', '53660-117', 'Sodales Industries'));
		userList.push(new UserSearchResult('Maia Dean', '1-426-177-1935', 'non.cursus.non@Craseutellus.edu', 'P.O. Box 618 8239 Lobortis Rd.', 'Gambolò', 'Lombardia', 'Belize', '458622', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Whitney Lancaster', '1-812-856-4445', 'vel@Donec.edu', 'Ap #282-2953 Mollis. Road', 'Taunton', 'SO', 'Palau', '52525', 'Donec Corp'));
		userList.push(new UserSearchResult('Imelda Pena', '1-955-993-4204', 'aliquam@arcueu.org', 'P.O. Box 756 6192 Libero. Street', 'Siedlce', 'MA', 'French Guiana', '8911', 'Sapien LLC'));
		userList.push(new UserSearchResult('Leslie Hernandez', '1-130-588-4338', 'libero.est@urnajusto.com', 'P.O. Box 231 5482 Orci Avenue', 'Topeka', 'Kansas', 'Somalia', '7410NE', 'Magna Corporation'));

		userList.push(new UserSearchResult('Kyra Jefferson', '1-510-279-2978', 'quis.arcu@molestiedapibusligula.co.uk', '9929 Malesuada. Ave', 'Rae Bareli', 'Uttar Pradesh', 'Argentina', '2425', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Zena Sweeney', '1-383-784-9744', 'eget.lacus@ligulaNullamfeugiat.org', 'Ap #942-9349 Arcu. Avenue', 'Angers', 'Pays de la Loire', 'Pitcairn Islands', '66594', 'Sodales Industries'));
		userList.push(new UserSearchResult('Claire Waters', '1-493-466-3412', 'Nunc.mauris@eget.edu', 'P.O. Box 310 1389 Nec Road', 'Warszawa', 'MA', 'Morocco', 'OA6 7TK', 'Donec Corp'));
		userList.push(new UserSearchResult('Adele Dickerson', '1-688-718-0792', 'mauris.id.sapien@aliquetmagna.ca', '1365 Pede. St.', 'Vienna', 'Vienna', 'Guinea', '7670ZH', 'Magna Corporation'));
		userList.push(new UserSearchResult('Trevor Porter', '1-754-465-2321', 'gravida.sagittis@nec.co.uk', 'P.O. Box 381 9125 Augue Avenue', 'Follina', 'VEN', 'Lithuania', '60739', 'Sapien LLC'));

		userList.push(new UserSearchResult('Cheyenne Erickson', '1-525-393-4500', 'lacinia.Sed.congue@accumsanneque.co.uk', '952-4084 Sed Ave', 'Terme', 'Sam', 'Brazil', '8931', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Cally Townsend', '1-332-448-3896', 'lobortis.quam@elit.edu', '470-7719 Et Rd.', 'Coihueco', 'VII', 'Sierra Leone', '128962', 'Enim Foundation'));
		userList.push(new UserSearchResult('Ali Park', '1-984-637-1513', 'sem.magna@Craslorem.ca', 'P.O. Box 459 3317 In Ave', 'Montes Claros', 'Minas Gerais', 'Cook Islands', '19234', 'Nullam Limited'));
		userList.push(new UserSearchResult('Honorato Tran', '1-257-571-4358', 'massa@ut.org', 'P.O. Box 516 2511 Et Avenue', 'Zamość', 'LU', 'Samoa', '665943', 'Sapien LLC'));
		userList.push(new UserSearchResult('Callum Macdonald', '1-722-865-2511', 'aliquet.diam@lacus.co.uk', '4941 Vestibulum Street', 'Berlin', 'BE', 'Cambodia', '51018', 'Mi Enim Condimentum Inc.'));

		userList.push(new UserSearchResult('Chanda Roman', '1-949-169-7581', 'sollicitudin.orci.sem@Vivamuseuismodurna.co.uk', 'Ap #135-4045 Sit Rd.', 'Le Havre', 'HA', 'Jordan', '68552-096', 'Enim Foundation'));
		userList.push(new UserSearchResult('Zephania Smith', '1-266-555-2175', 'odio.Phasellus.at@hendreritDonecporttitor.com', 'Ap #935-4901 Fames Avenue', 'Vienna', 'Vienna', 'Brazil', '18695', 'Enim Foundation'));
		userList.push(new UserSearchResult('Simon Weeks', '1-335-423-8733', 'lacus@inconsectetuer.org', 'P.O. Box 467 7141 Porttitor Avenue', 'Södertälje', 'AB', 'Malawi', '12553', 'Magna Corporation'));
		userList.push(new UserSearchResult('Willow Fowler', '1-537-624-8162', 'libero.Proin@vitaeeratVivamus.net', '3464 Et St.', 'Guarulhos', 'SP', 'United Arab Emirates', '97978', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Ursula Osborne', '1-537-717-7357', 'vulputate.lacus.Cras@elementumsem.net', '2136 Proin St.', 'Dublin', 'Leinster', 'Suriname', '56305', 'Sapien LLC'));

		userList.push(new UserSearchResult('Chadwick Castro', '1-890-445-0294', 'amet@Nullamsuscipit.net', '654 Id St.', 'Treppo Carnico', 'Friuli-Venezia Giulia', 'Afghanistan', '246874', 'Sapien LLC'));
		userList.push(new UserSearchResult('Ferris Fry', '1-779-689-9865', 'cursus.et@urnanec.net', '5897 Donec St.', 'Pavone del Mella', 'LOM', 'Niger', '33183', 'Nullam Limited'));
		userList.push(new UserSearchResult('Echo Key', '1-542-929-8542', 'purus@auctorvitae.net', '915-6369 Egestas Street', 'Alajuela', 'Alajuela', 'Kiribati', '5909', 'Nullam Limited'));
		userList.push(new UserSearchResult('Damon Lawrence', '1-119-140-6112', 'Lorem.ipsum@dictumPhasellus.co.uk', '4290 Suspendisse Ave', 'Bremerhaven', 'Bremen', 'Turkey', '9249WZ', 'Nullam Limited'));
		userList.push(new UserSearchResult('Zeph Stephens', '1-358-542-1088', 'diam.nunc.ullamcorper@scelerisqueloremipsum.com', '1047 Adipiscing Av.', 'Konin', 'WP', 'Guernsey', 'NL58 9AY', 'Enim Foundation'));

		userList.push(new UserSearchResult('Garth Callahan', '1-307-736-2406', 'justo.Praesent@sagittislobortis.com', '6791 Ac Street', 'Mobile', 'AL', 'South Korea', '8874', 'Enim Foundation'));
		userList.push(new UserSearchResult('Kalia Boone', '1-995-645-7537', 'eu@scelerisquemollis.co.uk', 'P.O. Box 762 5511 Egestas St.', 'Duque de Caxias', 'Rio de Janeiro', 'Chad', '2073', 'Magna Corporation'));
		userList.push(new UserSearchResult('Naomi Kidd', '1-314-691-8316', 'tempor.augue@nibhenimgravida.edu', 'P.O. Box 552 5505 Mollis Avenue', 'Puntarenas', 'Puntarenas', 'Albania', '10920', 'Enim Foundation'));
		userList.push(new UserSearchResult('Lavinia Harrell', '1-916-487-8152', 'egestas.lacinia@loremlorem.edu', '384-3462 Mi Av.', 'Sacramento', 'California', 'Moldova', '45575', 'Sapien LLC'));
		userList.push(new UserSearchResult('Martina Blevins', '1-198-550-0087', 'elit@nisiAenean.edu', 'Ap #750-6415 Quis Road', 'Vienna', 'Vienna', 'Ukraine', '53584', 'Enim Foundation'));

		userList.push(new UserSearchResult('Calvin York', '1-726-585-9392', 'ornare@pharetraNam.com', '8552 Luctus. St.', 'Oosterhout', 'Noord Brabant', 'Tokelau', '099804', 'Enim Foundation'));
		userList.push(new UserSearchResult('Beatrice Hammond', '1-790-535-8558', 'porttitor.eros.nec@utodio.co.uk', '532-7199 Ut Rd.', 'Chandannagar', 'WB', 'Guernsey', '25475', 'Pede Consulting'));
		userList.push(new UserSearchResult('Cailin Mcneil', '1-710-295-5297', 'dui@adipiscingfringillaporttitor.ca', 'Ap #794-7578 Duis Street', 'Trollhättan', 'O', 'Austria', 'MV7P 0MZ', 'Magna Corporation'));
		userList.push(new UserSearchResult('Jesse Petty', '1-981-871-0200', 'mauris.sapien.cursus@neque.com', 'P.O. Box 356 8727 Vitae Ave', 'Caldera', 'III', 'Suriname', 'T1W 9M8', 'Sapien LLC'));
		userList.push(new UserSearchResult('Nolan Barlow', '1-205-261-1601', 'fringilla.ornare@sociis.ca', 'Ap #511-8293 Ullamcorper St.', 'Wels', 'Upper Austria', 'Singapore', '9156', 'Pede Consulting'));

		userList.push(new UserSearchResult('Barbara Powers', '1-925-628-8869', 'nunc.sed.libero@dictumPhasellusin.edu', '784-8353 Et Street', 'Cochrane', 'AB', 'Austria', '99648', 'Sapien LLC'));
		userList.push(new UserSearchResult('Vivian Houston', '1-669-154-3522', 'habitant.morbi@nequepellentesque.ca', 'Ap #206-7824 A Road', 'LimerlŽ', 'Luxemburg', 'Monaco', '07167', 'Pede Consulting'));
		userList.push(new UserSearchResult('Rafael Vazquez', '1-847-915-6925', 'aliquet.molestie.tellus@In.net', 'P.O. Box 194 5437 Eu Av.', 'Montbéliard', 'FC', 'Guyana', '13780', 'Nullam Limited'));
		userList.push(new UserSearchResult('Madeson Mccarthy', '1-983-239-1545', 'non@nuncinterdum.org', 'P.O. Box 475 4706 Lobortis Ave', 'Badajoz', 'EX', 'Poland', '953346', 'Magna Corporation'));
		userList.push(new UserSearchResult('Wang Carpenter', '1-322-533-8291', 'ornare@nectellus.org', '537-1868 Faucibus Rd.', 'Parbhani', 'MH', 'Madagascar', '30007', 'Nullam Limited'));

		userList.push(new UserSearchResult('Selma Lynch', '1-147-643-5096', 'commodo.auctor.velit@natoquepenatibus.org', '566-3783 Massa Ave', 'Modakeke', 'OS', 'Malta', '85231', 'Sapien LLC'));
		userList.push(new UserSearchResult('Ainsley Lowery', '1-637-867-2087', 'sed.est@vitaeeratVivamus.edu', 'Ap #489-9159 Purus St.', 'Skövde', 'O', 'Iraq', '08502', 'Magna Corporation'));
		userList.push(new UserSearchResult('Georgia Lott', '1-286-733-6230', 'sit.amet.faucibus@et.co.uk', '677-4845 Dui Av.', 'Heusden', 'Noord Brabant', 'China', '06966', 'Nullam Limited'));
		userList.push(new UserSearchResult('Galena Duffy', '1-856-315-7272', 'vehicula@sagittisaugue.com', 'Ap #831-7455 Mollis. Avenue', 'Leiden', 'Zuid Holland', 'Saudi Arabia', '41802', 'Sapien LLC'));
		userList.push(new UserSearchResult('Jemima Daugherty', '1-222-101-1167', 'mi.tempor@gravida.ca', 'Ap #998-9507 Pellentesque St.', 'Vigo', 'GA', 'Holy See (Vatican City State)', '552101', 'Nullam Limited'));

		userList.push(new UserSearchResult('Uriel Eaton', '1-147-946-1744', 'Suspendisse@duilectus.net', 'Ap #382-1087 Magnis Street', 'Wichita', 'KS', 'Tokelau', '530675', 'Nullam Limited'));
		userList.push(new UserSearchResult('Aidan Nixon', '1-813-846-0325', 'ipsum@orciUt.net', '529-6061 Lacinia Av.', 'Waitakere', 'NI', 'Canada', '14841', 'Pede Consulting'));
		userList.push(new UserSearchResult('Imelda Burch', '1-179-355-1611', 'Cras.interdum.Nunc@euismod.co.uk', 'P.O. Box 129 7298 Pede Avenue', 'Harlow', 'Essex', 'Martinique', '70210', 'Pede Consulting'));
		userList.push(new UserSearchResult('Renee Ortega', '1-871-341-5408', 'purus.mauris@Aliquam.co.uk', 'Ap #275-192 Et Ave', 'Mata de Plátano', 'San José', 'South Georgia and The South Sandwich Islands', '44301-637', 'Pede Consulting'));
		userList.push(new UserSearchResult('Hedy Miles', '1-688-137-9043', 'adipiscing@consectetuer.co.uk', 'Ap #213-6836 Lacinia. Rd.', 'Maisires', 'Henegouwen', 'Curaçao', 'R2Y 1K9', 'Magna Corporation'));

		userList.push(new UserSearchResult('Craig Howard', '1-747-512-8060', 'Aliquam.auctor.velit@vitaealiquameros.org', 'P.O. Box 114 1288 Mus. Ave', 'Leamington', 'ON', 'Bermuda', '7990', 'Magna Corporation'));
		userList.push(new UserSearchResult('Jennifer Noble', '1-201-456-1655', 'pede.malesuada@parturientmontesnascetur.org', '516-8701 Eu Avenue', 'Quellón', 'Los Lagos', 'Azerbaijan', '622079', 'Pede Consulting'));
		userList.push(new UserSearchResult('Warren Gregory', '1-195-447-3270', 'lacus.vestibulum.lorem@pedeultricesa.edu', 'P.O. Box 809 7507 Diam. St.', 'Raichur', 'Karnataka', 'Saudi Arabia', '31245', 'Sapien LLC'));
		userList.push(new UserSearchResult('Joel Burgess', '1-689-966-2685', 'sodales.nisi.magna@amet.edu', 'P.O. Box 384 9795 Amet St.', 'Istanbul', 'Istanbul', 'Hong Kong', 'G5M 0G0', 'Magna Corporation'));
		userList.push(new UserSearchResult('Rhea Emerson', '1-671-915-2195', 'tellus@nunc.com', 'P.O. Box 534 5751 Tincidunt St.', 'Gliwice', 'Sląskie', 'Antarctica', '44781', 'Mi Enim Condimentum Inc.'));

		userList.push(new UserSearchResult('Leilani Roman', '1-625-797-2414', 'semper.rutrum.Fusce@feugiat.org', 'Ap #359-7201 Penatibus Ave', 'Middelburg', 'Zeeland', 'Sierra Leone', '89379', 'Magna Corporation'));
		userList.push(new UserSearchResult('Mufutau Parsons', '1-640-599-5005', 'orci@pedePraesent.com', '290-1182 Aenean Ave', 'Sioux City', 'Iowa', 'Nicaragua', '86-206', 'Tellus Corporation'));
		userList.push(new UserSearchResult('Larissa Greer', '1-308-404-3884', 'dictum.eu.eleifend@leoVivamusnibh.org', 'P.O. Box 731 788 Cras Rd.', 'Cork', 'M', 'Dominican Republic', 'PN83 1DL', 'Mi Enim Condimentum Inc.'));
		userList.push(new UserSearchResult('Callie Davenport', '1-962-777-8237', 'sed.dolor.Fusce@odiovelest.net', '262-6715 Sit Ave', 'Warri', 'DE', 'Lesotho', '0917QJ', 'Magna Corporation'));

		return of(userList);
	}
}
